Archive a fact-find template. Run in API Explorer
Ask AI
Hides the template from the default list and blocks new sessions.
POST
/api/v2/fact-find/templates/{factFindTemplate_uuid}/archive
curl \
--request POST 'https://api.plannrcrm.com/api/v2/fact-find/templates/6ff8f7f6-1eb3-3525-be4a-3932c805afed/archive' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "a2336ce9-321c-4ebf-8254-b0af477f6bf1",
"created_at": "2026-09-03T12:23:08+01:00",
"updated_at": "2026-09-03T12:23:08+01:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-09-02T12:23:08+01:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0,
"sections": {
"uuid": "40f11b29-a807-42f8-b33f-20610a414857",
"created_at": "2026-09-03T12:23:08+01:00",
"updated_at": "2026-09-03T12:23:08+01:00",
"fact_find_template": {
"uuid": "c3b06dff-0e16-4211-9c3e-20562e361878",
"created_at": "2026-09-03T12:23:13+01:00",
"updated_at": "2026-09-03T12:23:13+01:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-09-02T12:23:13+01:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0
},
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false,
"blocks": {
"uuid": "ea0d4947-d225-493a-a130-e9346029dcb4",
"created_at": "2026-09-03T12:23:13+01:00",
"updated_at": "2026-09-03T12:23:13+01:00",
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}